
function LunaUF:LoadDefaults()

	self.defaults = {
		profile = {
			locked = false,
			tooltipCombat = false,
			hidden = {cast = true, buffs = false, party = true, raid = true, player = true, pet = true, target = true},
			statusbar = "Minimalist",
			font = "Myriad Condensed Web",
			inchealTime = 4,
			omnicc = false,
			blizzardcc = false,
			range = { dist = 40, alpha = 0.4, frequency = 0.5},
		},
	}

	self.defaults.profile.colors = {
		-- Class
		HUNTER = {r = 0.67, g = 0.83, b = 0.45},
		WARLOCK = {r = 0.58, g = 0.51, b = 0.79},
		PRIEST = {r = 1.0, g = 1.0, b = 1.0},
		PALADIN = {r = 0.96, g = 0.55, b = 0.73},
		MAGE = {r = 0.41, g = 0.8, b = 0.94},
		ROGUE = {r = 1.0, g = 0.96, b = 0.41},
		DRUID = {r = 1.0, g = 0.49, b = 0.04},
		SHAMAN = {r = 0.14, g = 0.35, b = 1.0},
		WARRIOR = {r = 0.78, g = 0.61, b = 0.43},
		PET = {r = 0.20, g = 0.90, b = 0.20},
		--Power
		MANA = {r = 0.30, g = 0.50, b = 0.85},
		RAGE = {r = 0.90, g = 0.20, b = 0.30},
		FOCUS = {r = 1.0, g = 0.50, b = 0.25},
		ENERGY = {r = 1.0, g = 0.85, b = 0.10},
		COMBOPOINTS = {r = 1.0, g = 0.80, b = 0.0},
		--Reaction
		tapped = {r = 0.5, g = 0.5, b = 0.5},
		red = {r = 0.90, g = 0.0, b = 0.0},
		green = {r = 0.20, g = 0.90, b = 0.20},
		static = {r = 0.70, g = 0.20, b = 0.90},
		yellow = {r = 0.93, g = 0.93, b = 0.0},
		incheal = {r = 0.20, g = 0.90, b = 0.20},
		enemyUnattack = {r = 0.60, g = 0.20, b = 0.20},
		enemyCivilian = {r = 1, g = 0.90, b = 0.90},
		hostile = {r = 0.90, g = 0.0, b = 0.0},
		aggro = {r = 0.90, g = 0.0, b = 0.0},
		friendly = {r = 0.20, g = 0.90, b = 0.20},
		neutral = {r = 0.93, g = 0.93, b = 0.0},
		offline = {r = 0.50, g = 0.50, b = 0.50},
		--Cast
		channel = {r = 0.25, g = 0.25, b = 1.0},
		cast = {r = 1.0, g = 0.70, b = 0.30},
		--XP
		normal = {r = 0.58, g = 0.0, b = 0.55},
		rested = {r = 0.0, g = 0.39, b = 0.88},
	}
	self.defaults.profile.units = {
		player = {
			enabled = true,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			powerBar = { enabled = true, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			reckStacks = { enabled = true, growth = "RIGHT", order = 70, height = 2, background = true, backgroundAlpha = 0.2 },
			portrait = {enabled = true, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 100},
			castBar = { enabled = true, background = true, backgroundAlpha = 0.2, height = 3, icon = "HIDE", autoHide = true, order = 60},
			xpBar = { enabled = false, height = 2, order = 80, background = false, backgroundAlpha = 0.2, Alpha = 1 },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			druidBar = {enabled = false, autoHide = true, order = 70, height = 3, background = true, backgroundAlpha = 0.2 },
			totemBar = {enabled = false, order = 70, height = 2, background = true, backgroundAlpha = 0.2, autoHide = true},
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				weaponbuffs = false,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 6,
				enlargeddebuffsize = 6,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 2,
				emphasizeBuffs = true,
				emphasizeDebuffs = true,
				timer = "all",
			},
			tags = {
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "[name]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "[levelcolor][level][shortclassification] [classcolor][smartclass]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[pp]/[maxpp]",
						size = 100,
					},
				},
				["castBar"] = {
					size = 10,
					["left"] = {
						tagline = "[castname]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[casttime]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["druidBar"] = {
					size = 8,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[druid:pp]/[druid:maxpp]",
						size = 100,
					},
				},
				["xpBar"] = {
					size = 8,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "[xp] [percxp]",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				class = { enabled = false, anchorPoint = "BOTTOMLEFT", size = 16, x = 1, y = 1 },
				masterLoot = { enabled = true, anchorPoint = "TOPLEFT", size = 12, x = 16, y = -1 },
				leader = { enabled = true, anchorPoint = "TOPLEFT", size = 14, x = 4, y = -1 },
				pvp = { enabled = true, anchorPoint = "LEFT", size = 30, x = 5, y = -6 },
				pvprank = { enabled = true, anchorPoint = "BOTTOMLEFT", size = 8, x = 46, y = 1 },
				ready = { enabled = true, anchorPoint = "LEFT", size = 24, x = 25, y = 0 },
				status = { enabled = true, anchorPoint = "BOTTOMLEFT", size = 16, x = 30, y = 1 },
				rezz = { enabled = true, anchorPoint = "LEFT", size = 20, x = 25, y = 0 },
			},
			incHeal = { enabled = true, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 240,
			height = 40,
			x = 10,
			y = -15,
			anchorTo = "UIParent",
			point = "TOPLEFT",
			relativePoint = "TOPLEFT",
		},
		pet = {
			enabled = true,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "happiness", reactionType="npc", height = 6, order = 10},
			powerBar = { enabled = true, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			portrait = {enabled = true, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 50},
			castBar = {background = true, backgroundAlpha = 0.2, height = 3, icon = "HIDE", autoHide = true, order = 60},
			xpBar = { enabled = true, height = 2, order = 80, background = true, backgroundAlpha = 0.2 },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 6,
				enlargeddebuffsize = 6,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 2,
				emphasizeBuffs = true,
				emphasizeDebuffs = true,
				timer = "all",
			},
			tags = {
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "[name]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "[levelcolor][level][shortclassification] [classcolor][smartclass]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[pp]/[maxpp]",
						size = 100,
					},
				},
				["castBar"] = {
					size = 10,
					["left"] = {
						tagline = "[castname]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[casttime]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				happiness = {enabled = true, anchorPoint = "BOTTOMRIGHT", size = 14, x = 0, y = 0},
				status = { enabled = true, anchorPoint = "BOTTOMLEFT", size = 16, x = 30, y = 1},
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 240,
			height = 30,
			x = 0,
			y = -55,
			point = "BOTTOMLEFT",
			relativePoint = "BOTTOMLEFT",
			anchorTo = "LUFUnitplayer",
		},
		pettarget = {
			enabled = false,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			portrait = { enabled = false, type = "3D", alignment = "RIGHT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 100},
			castBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 3, icon = "HIDE", autoHide = true, order = 60},
			powerBar = { enabled = true, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 6,
				enlargeddebuffsize = 6,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 2,
				emphasizeBuffs = true,
				emphasizeDebuffs = true,
				timer = "all",
			},
			tags = {
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "[name]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "[levelcolor][level][shortclassification] [classcolor][smartclass]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[pp]/[maxpp]",
						size = 100,
					},
				},
				["castBar"] = {
					size = 10,
					["left"] = {
						tagline = "[castname]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[casttime]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				elite = { enabled = false, anchorPoint = "RIGHT" },
				class = { enabled = false, anchorPoint = "BOTTOMRIGHT", size = 16, x = -1, y = 1 },
				pvp = { enabled = true, anchorPoint = "RIGHT", size = 30, x = 5, y = -6 },
				pvprank = { enabled = true, anchorPoint = "BOTTOMLEFT", size = 8, x = -46, y = 1 },
				status = { enabled = true, anchorPoint = "BOTTOMRIGHT", size = 16, x = -30, y = 1 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 100,
			height = 30,
			x = 250,
			y = 0,
			point = "BOTTOMLEFT",
			relativePoint = "BOTTOMLEFT",
			anchorTo = "LUFUnitpet",
		},
		target = {
			enabled = true,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			portrait = { enabled = true, type = "3D", alignment = "RIGHT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 100},
			powerBar = { enabled = true, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			castBar = { enabled = true, background = true, backgroundAlpha = 0.2, height = 3, icon = "HIDE", autoHide = true, order = 60},
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			comboPoints = {enabled = true, autoHide = true, order = 70, growth = "RIGHT", height = 2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = true,
				debuffs = true,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 6,
				enlargeddebuffsize = 6,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 2,
				emphasizeBuffs = true,
				emphasizeDebuffs = true,
				timer = "all",
			},
			tags = {
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "[name]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "[levelcolor][level][shortclassification] [classcolor][smartclass]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[pp]/[maxpp]",
						size = 100,
					},
				},
				["castBar"] = {
					size = 10,
					["left"] = {
						tagline = "[castname]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[casttime]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				elite = { enabled = false, anchorPoint = "RIGHT" },
				class = { enabled = false, anchorPoint = "BOTTOMRIGHT", size = 16, x = -1, y = 1 },
				masterLoot = { enabled = true, anchorPoint = "TOPRIGHT", size = 12, x = -16, y = -1 },
				leader = { enabled = true, anchorPoint = "TOPRIGHT", size = 14, x = -4, y = -1 },
				pvp = { enabled = true, anchorPoint = "RIGHT", size = 30, x = 5, y = -6 },
				pvprank = { enabled = true, anchorPoint = "BOTTOMRIGHT", size = 8, x = -46, y = 1 },
				status = { enabled = true, anchorPoint = "BOTTOMRIGHT", size = 16, x = -30, y = 1 },
				rezz = { enabled = true, anchorPoint = "RIGHT", size = 20, x = -25, y = 0 },
			},
			incHeal = {enabled = true, cap = 1.3, alpha = 0.8},
			scale = 1,
			width = 240,
			height = 40,
			x = 250,
			y = 0,
			point = "BOTTOMLEFT",
			relativePoint = "BOTTOMLEFT",
			anchorTo = "LUFUnitplayer",
		},
		targettarget = {
			enabled = true,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			portrait = { enabled = false, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 100},
			castBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 3, icon = "HIDE", autoHide = true, order = 60},
			powerBar = { enabled = true, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 6,
				enlargeddebuffsize = 6,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 2,
				emphasizeBuffs = true,
				emphasizeDebuffs = true,
				timer = "all",
			},
			tags = {
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "[name]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "[levelcolor][level][shortclassification] [classcolor][smartclass]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[pp]/[maxpp]",
						size = 100,
					},
				},
				["castBar"] = {
					size = 10,
					["left"] = {
						tagline = "[castname]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[casttime]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				elite = { enabled = false, anchorPoint = "RIGHT" },
				class = { enabled = false, anchorPoint = "BOTTOMRIGHT", size = 16, x = -1, y = 1 },
				masterLoot = { enabled = true, anchorPoint = "TOPRIGHT", size = 12, x = -16, y = -1 },
				leader = { enabled = true, anchorPoint = "TOPRIGHT", size = 14, x = -4, y = -1 },
				pvp = { enabled = true, anchorPoint = "RIGHT", size = 30, x = 5, y = -6 },
				pvprank = { enabled = true, anchorPoint = "BOTTOMLEFT", size = 8, x = 4, y = 1 },
				status = { enabled = true, anchorPoint = "BOTTOMRIGHT", size = 16, x = -30, y = 1 },
				rezz = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 150,
			height = 40,
			x = 250,
			y = 0,
			point = "BOTTOMLEFT",
			relativePoint = "BOTTOMLEFT",
			anchorTo = "LUFUnittarget",
		},
		targettargettarget = {
			enabled = true,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			portrait = { enabled = false, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 50},
			castBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 3, icon = "HIDE", autoHide = true, order = 60},
			powerBar = { enabled = true, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 6,
				enlargeddebuffsize = 6,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 2,
				emphasizeBuffs = true,
				emphasizeDebuffs = true,
				timer = "all",
			},
			tags = {
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "[name]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "[levelcolor][level][shortclassification] [classcolor][smartclass]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[pp]/[maxpp]",
						size = 100,
					},
				},
				["castBar"] = {
					size = 10,
					["left"] = {
						tagline = "[castname]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[casttime]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				elite = { enabled = false, anchorPoint = "RIGHT" },
				class = { enabled = false, anchorPoint = "BOTTOMRIGHT", size = 16, x = -1, y = 1 },
				masterLoot = { enabled = true, anchorPoint = "TOPRIGHT", size = 12, x = -16, y = -1 },
				leader = { enabled = true, anchorPoint = "TOPRIGHT", size = 14, x = -4, y = -1 },
				pvp = { enabled = true, anchorPoint = "RIGHT", size = 30, x = 5, y = -6 },
				pvprank = { enabled = true, anchorPoint = "BOTTOMLEFT", size = 8, x = 4, y = 1 },
				status = { enabled = true, anchorPoint = "BOTTOMRIGHT", size = 16, x = -30, y = 1 },
				rezz = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 150,
			height = 40,
			x = 160,
			y = 0,
			point = "BOTTOMLEFT",
			relativePoint = "BOTTOMLEFT",
			anchorTo = "LUFUnittargettarget",
		},
		party = {
			enabled = true,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			portrait = { enabled = true, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 50},
			castBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 3, icon = "HIDE", autoHide = true, order = 60},
			powerBar = { enabled = true, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = true,
				debuffs = true,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 6,
				enlargeddebuffsize = 6,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 2,
				emphasizeBuffs = false,
				emphasizeDebuffs = false,
				timer = "all",
			},
			tags = {
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "[name]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "[levelcolor][level][shortclassification] [classcolor][smartclass]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[pp]/[maxpp]",
						size = 100,
					},
				},
				["castBar"] = {
					size = 10,
					["left"] = {
						tagline = "[castname]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[casttime]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				class = { enabled = false, anchorPoint = "BOTTOMLEFT", size = 16, x = 1, y = 1 },
				masterLoot = { enabled = true, anchorPoint = "TOPLEFT", size = 12, x = 16, y = -1 },
				leader = { enabled = true, anchorPoint = "TOPLEFT", size = 14, x = 4, y = -1 },
				pvp = { enabled = true, anchorPoint = "LEFT", size = 30, x = 5, y = -6 },
				pvprank = { enabled = true, anchorPoint = "BOTTOMLEFT", size = 8, x = 46, y = 1 },
				ready = { enabled = true, anchorPoint = "LEFT", size = 24, x = 25, y = 0 },
				status = { enabled = true, anchorPoint = "BOTTOMLEFT", size = 16, x = 30, y = 1 },
				rezz = { enabled = true, anchorPoint = "LEFT", size = 20, x = 25, y = 0 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 240,
			height = 40,
			point = "TOPRIGHT",
			relativePoint = "BOTTOMLEFT",
			x = 240,
			y = -50,
			attribPoint = "TOP",
			attribAnchorPoint = "LEFT",
			columnSpacing = 30,
			offset = 40,
			anchorTo = "LUFUnitpet",
			sortMethod = "INDEX",
			sortOrder = "ASC",
		},
		partytarget = {
			enabled = false,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			portrait = {enabled = false, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 50},
			castBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 3, icon = "HIDE", autoHide = true, order = 60},
			powerBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 6,
				enlargeddebuffsize = 6,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 2,
				emphasizeBuffs = true,
				emphasizeDebuffs = true,
				timer = "all",
			},
			tags = {
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["castBar"] = {
					size = 10,
					["left"] = {
						tagline = "[castname]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[casttime]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				rezz = { enabled = false, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				pvp = { enabled = false, anchorPoint = "LEFT", size = 30, x = 5, y = -6 },
				pvprank = { enabled = false, anchorPoint = "LEFT", size = 8, x = 0, y = 0 },
				elite = { enabled = false, side = "RIGHT" },
				status = { enabled = false, anchorPoint = "BOTTOM", size = 16, x = 0, y = 1 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 100,
			height = 20,
			x = 100,
			y = 0,
			offset = 60,
			point = "TOPRIGHT",
			relativePoint = "TOPRIGHT",
			attribPoint = "TOP",
			anchorTo = "LUFHeaderparty",
			sortMethod = "INDEX",
			sortOrder = "ASC",
		},
		partypet = {
			enabled = true,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			portrait = {enabled = false, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 50},
			castBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 3, icon = "HIDE", autoHide = true, order = 60},
			powerBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 6,
				enlargeddebuffsize = 6,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 2,
				emphasizeBuffs = true,
				emphasizeDebuffs = true,
				timer = "all",
			},
			tags = {
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["castBar"] = {
					size = 10,
					["left"] = {
						tagline = "[castname]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[casttime]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				status = { enabled = false, anchorPoint = "BOTTOM", size = 16, x = 0, y = 1 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 100,
			height = 20,
			point = "TOPRIGHT",
			relativePoint = "TOPRIGHT",
			x = 100,
			y = -20,
			offset = 60,
			attribPoint = "TOP",
			anchorTo = "LUFHeaderparty",
			sortMethod = "INDEX",
			sortOrder = "ASC",
		},
		raid = {
			enabled = true,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 10, order = 10, vertical = true},
			portrait = {enabled = false, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 50},
			castBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 3, icon = "HIDE", autoHide = true, order = 60},
			powerBar = { enabled = true, background = true, backgroundAlpha = 0.2, height = 1, order = 20, colorType = "type", vertical = true },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 10,
				debuffsize = 10,
				enlargedbuffsize = 6,
				enlargeddebuffsize = 6,
				buffpos = "INSIDE",
				debuffpos = "INSIDE",
				bordercolor = true,
				padding = 2,
				emphasizeBuffs = true,
				emphasizeDebuffs = true,
				timer = "all",
			},
			tags = {
				["healthBar"] = {
					size = 8,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "[name][br][healerhealth]",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["castBar"] = {
					size = 10,
					["left"] = {
						tagline = "[castname]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[casttime]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = false, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				class = { enabled = false, anchorPoint = "BOTTOMLEFT", size = 12, x = 1, y = 1 },
				masterLoot = { enabled = false, anchorPoint = "TOPLEFT", size = 12, x = 16, y = -1 },
				leader = { enabled = false, anchorPoint = "TOPLEFT", size = 14, x = 4, y = -1 },
				pvp = { enabled = false, anchorPoint = "RIGHT", size = 22, x = 5, y = -6 },
				pvprank = { enabled = false, anchorPoint = "BOTTOMRIGHT", size = 8, x = 0, y = 1 },
				status = { enabled = false, anchorPoint = "BOTTOM", size = 16, x = 0, y = 1 },
				ready = { enabled = true, anchorPoint = "CENTER", size = 24, x = 0, y = 0 },
				rezz = { enabled = true, anchorPoint = "TOPRIGHT", size = 20, x = -8, y = -9 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 60,
			height = 30,
			columnSpacing = 5,
			groupsPerRow = 5,
			unitsPerColumn = 5,
			maxColumns = 1,
			groupSpacing = 0,
			attribPoint = "BOTTOM",
			attribAnchorPoint = "LEFT",
			offset = 0,
			fontsize = 10,
			groupBy = "GROUP",
			sortMethod = "INDEX",
			sortOrder = "ASC",
			filters = {
				[1] = true,
				[2] = true,
				[3] = true,
				[4] = true,
				[5] = true,
				[6] = true,
				[7] = true,
				[8] = true,
			},
			positions = {
				[1] = {point = "TOPLEFT", anchorTo = "UIParent", relativePoint = "TOPLEFT", x = 10, y = -380},
				[2] = {point = "TOPRIGHT", anchorTo = "LUFHeaderraid1", relativePoint = "TOPRIGHT", x = 64, y = 0},
				[3] = {point = "TOPRIGHT", anchorTo = "LUFHeaderraid2", relativePoint = "TOPRIGHT", x = 64, y = 0},
				[4] = {point = "TOPRIGHT", anchorTo = "LUFHeaderraid3", relativePoint = "TOPRIGHT", x = 64, y = 0},
				[5] = {point = "TOPRIGHT", anchorTo = "LUFHeaderraid4", relativePoint = "TOPRIGHT", x = 64, y = 0},
				[6] = {point = "TOPRIGHT", anchorTo = "LUFHeaderraid5", relativePoint = "TOPRIGHT", x = 64, y = 0},
				[7] = {point = "TOPRIGHT", anchorTo = "LUFHeaderraid6", relativePoint = "TOPRIGHT", x = 64, y = 0},
				[8] = {point = "TOPRIGHT", anchorTo = "LUFHeaderraid7", relativePoint = "TOPRIGHT", x = 64, y = 0},
			},
		},
		raidpet = {
			enabled = false,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 10, order = 10, vertical = true},
			portrait = {enabled = false, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 50},
			castBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 3, icon = "HIDE", autoHide = true, order = 60},
			powerBar = { enabled = true, background = true, backgroundAlpha = 0.2, height = 1, order = 20, colorType = "type", vertical = true },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 10,
				debuffsize = 10,
				enlargedbuffsize = 6,
				enlargeddebuffsize = 6,
				buffpos = "INSIDE",
				debuffpos = "INSIDE",
				bordercolor = true,
				padding = 2,
				emphasizeBuffs = true,
				emphasizeDebuffs = true,
				timer = "all",
			},
			tags = {
				["healthBar"] = {
					size = 8,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "[name][br][healerhealth]",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["castBar"] = {
					size = 10,
					["left"] = {
						tagline = "[castname]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[casttime]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = false, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				status = { enabled = false, anchorPoint = "BOTTOM", size = 16, x = 0, y = 1 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 60,
			height = 30,
			x = 65,
			y = 0,
			attribPoint = "BOTTOM",
			attribAnchorPoint = "LEFT",
			unitsPerColumn = 5,
			maxColumns = 1,
			columnSpacing = 0,
			offset = 0,
			point = "TOPRIGHT",
			relativePoint = "TOPRIGHT",
			anchorTo = "LUFHeaderraid8",
			sortMethod = "INDEX",
			sortOrder = "ASC",
		},
		maintank = {
			enabled = false,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			portrait = {enabled = false, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 50},
			castBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 3, icon = "HIDE", autoHide = true, order = 60},
			powerBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 6,
				enlargeddebuffsize = 6,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 2,
				emphasizeBuffs = true,
				emphasizeDebuffs = true,
				timer = "all",
			},
			tags = {
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "[name]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["castBar"] = {
					size = 10,
					["left"] = {
						tagline = "[castname]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[casttime]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				class = { enabled = false, anchorPoint = "BOTTOMLEFT", size = 16, x = 1, y = 1 },
				masterLoot = { enabled = false, anchorPoint = "TOPLEFT", size = 12, x = 16, y = -1 },
				leader = { enabled = false, anchorPoint = "TOPLEFT", size = 14, x = 4, y = -1 },
				pvp = { enabled = false, anchorPoint = "LEFT", size = 30, x = 5, y = -6 },
				pvprank = { enabled = false, anchorPoint = "BOTTOMLEFT", size = 8, x = 46, y = 1 },
				ready = { enabled = true, anchorPoint = "CENTER", size = 24, x = 0, y = 0 },
				status = { enabled = false, anchorPoint = "BOTTOM", size = 16, x = 0, y = 1 },
				rezz = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 100,
			height = 30,
			x = -110,
			y = 0,
			attribPoint = "TOP",
			attribAnchorPoint = "LEFT",
			unitsPerColumn = 5,
			maxColumns = 1,
			columnSpacing = 4,
			offset = 4,
			point = "CENTER",
			relativePoint = "CENTER",
			anchorTo = "UIParent",
			roleFilter = "MAINTANK",
			sortMethod = "INDEX",
			sortOrder = "ASC",
		},
		maintanktarget = {
			enabled = false,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			portrait = {enabled = false, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 50},
			castBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 3, icon = "HIDE", autoHide = true, order = 60},
			powerBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 6,
				enlargeddebuffsize = 6,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 2,
				emphasizeBuffs = true,
				emphasizeDebuffs = true,
				timer = "all",
			},
			tags = {
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "[name]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["castBar"] = {
					size = 10,
					["left"] = {
						tagline = "[castname]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[casttime]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				elite = { enabled = false, anchorPoint = "RIGHT" },
				class = { enabled = false, anchorPoint = "BOTTOMRIGHT", size = 16, x = -1, y = 1 },
				masterLoot = { enabled = false, anchorPoint = "TOPRIGHT", size = 12, x = -16, y = -1 },
				leader = { enabled = false, anchorPoint = "TOPRIGHT", size = 14, x = -4, y = -1 },
				pvp = { enabled = false, anchorPoint = "RIGHT", size = 30, x = 5, y = -6 },
				pvprank = { enabled = false, anchorPoint = "BOTTOMLEFT", size = 8, x = 4, y = 1 },
				status = { enabled = false, anchorPoint = "BOTTOMRIGHT", size = 16, x = -30, y = 1 },
				rezz = { enabled = false, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 100,
			height = 30,
			x = 110,
			y = 0,
			attribPoint = "TOP",
			attribAnchorPoint = "LEFT",
			unitsPerColumn = 5,
			maxColumns = 1,
			columnSpacing = 4,
			offset = 4,
			point = "TOPRIGHT",
			relativePoint = "TOPRIGHT",
			anchorTo = "LUFHeadermaintank",
			roleFilter = "MAINTANK",
			sortMethod = "INDEX",
			sortOrder = "ASC",
		},
		mainassist = {
			enabled = false,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			portrait = {enabled = false, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 50},
			castBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 3, icon = "HIDE", autoHide = true, order = 60},
			powerBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 6,
				enlargeddebuffsize = 6,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 2,
				emphasizeBuffs = true,
				emphasizeDebuffs = true,
				timer = "all",
			},
			tags = {
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "[name]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["castBar"] = {
					size = 10,
					["left"] = {
						tagline = "[castname]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[casttime]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				class = { enabled = false, anchorPoint = "BOTTOMLEFT", size = 16, x = 1, y = 1 },
				masterLoot = { enabled = false, anchorPoint = "TOPLEFT", size = 12, x = 16, y = -1 },
				leader = { enabled = false, anchorPoint = "TOPLEFT", size = 14, x = 4, y = -1 },
				pvp = { enabled = false, anchorPoint = "LEFT", size = 30, x = 5, y = -6 },
				pvprank = { enabled = false, anchorPoint = "BOTTOMLEFT", size = 8, x = 46, y = 1 },
				ready = { enabled = true, anchorPoint = "CENTER", size = 24, x = 0, y = 0 },
				status = { enabled = false, anchorPoint = "BOTTOM", size = 16, x = 0, y = 1 },
				rezz = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 100,
			height = 30,
			x = 110,
			y = 0,
			attribPoint = "TOP",
			attribAnchorPoint = "LEFT",
			unitsPerColumn = 5,
			maxColumns = 1,
			columnSpacing = 4,
			offset = 4,
			point = "CENTER",
			relativePoint = "CENTER",
			anchorTo = "UIParent",
			roleFilter = "MAINASSIST",
			sortMethod = "INDEX",
			sortOrder = "ASC",
		},
		mainassisttarget = {
			enabled = false,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			portrait = {enabled = false, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 50},
			castBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 3, icon = "HIDE", autoHide = true, order = 60},
			powerBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 6,
				enlargeddebuffsize = 6,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 2,
				emphasizeBuffs = true,
				emphasizeDebuffs = true,
				timer = "all",
			},
			tags = {
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "[name]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["castBar"] = {
					size = 10,
					["left"] = {
						tagline = "[castname]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[casttime]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				elite = { enabled = false, anchorPoint = "RIGHT" },
				class = { enabled = false, anchorPoint = "BOTTOMRIGHT", size = 16, x = -1, y = 1 },
				masterLoot = { enabled = false, anchorPoint = "TOPRIGHT", size = 12, x = -16, y = -1 },
				leader = { enabled = false, anchorPoint = "TOPRIGHT", size = 14, x = -4, y = -1 },
				pvp = { enabled = false, anchorPoint = "RIGHT", size = 30, x = 5, y = -6 },
				pvprank = { enabled = false, anchorPoint = "BOTTOMLEFT", size = 8, x = 4, y = 1 },
				status = { enabled = false, anchorPoint = "BOTTOMRIGHT", size = 16, x = -30, y = 1 },
				rezz = { enabled = false, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 100,
			height = 30,
			x = 110,
			y = 0,
			attribPoint = "TOP",
			attribAnchorPoint = "LEFT",
			unitsPerColumn = 5,
			maxColumns = 1,
			columnSpacing = 4,
			offset = 4,
			point = "TOPRIGHT",
			relativePoint = "TOPRIGHT",
			anchorTo = "LUFHeadermainassist",
			roleFilter = "MAINASSIST",
			sortMethod = "INDEX",
			sortOrder = "ASC",
		},
	}
end